Bug 446414 - Review Request: perl-Gtk2-Ex-FormFactory - Framework for Gtk2 perl applications
Review Request: perl-Gtk2-Ex-FormFactory - Framework for Gtk2 perl applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 11:10 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-05-31 09:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 09:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-05-14 11:10:10 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Gtk2-Ex-FormFactory.spec
SRPM URL: 
http://rpms.kwizart.net/fedora/9/SRPMS/perl-Gtk2-Ex-FormFactory-0.65-1.fc9.kwizart.src.rpm
Description: Framework for Gtk2 perl applications
Comment 1 Xavier Bachelot 2008-05-28 11:18:08 EDT
+ source files match upstream : 904f6fe4b94248b56507710b29a53873
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text included in package.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock ( ).
+ package installs properly
- rpmlint is silent :
file-not-utf8 /usr/share/man/man3/Gtk2::Ex::FormFactory::*.3pm.gz

- final provides and requires are sane:
These provides are bogus :
perl(Music::Album)
perl(Music::Artist)
perl(Music::Config)
perl(Music::DBI)
perl(Music::Genre)
perl(Music::Song)

This is weird as the doc files that induce that are not executable.

+ %check is present and all tests pass
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.

Also, package is noarch, replace "make %{?_smp_mflags}" by a simple "make"
Comment 2 Mamoru TASAKA 2008-05-28 11:28:09 EDT
I have never heard that noarch package should not use parallel
make.
Comment 3 Xavier Bachelot 2008-05-28 11:34:06 EDT
(In reply to comment #2)
> I have never heard that noarch package should not use parallel
> make.

You're absolutely right, sorry, temporary brain outage...
Comment 4 Nicolas Chauvet (kwizart) 2008-05-28 11:55:29 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Gtk2-Ex-FormFactory.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/perl-Gtk2-Ex-FormFactory-0.65-2.fc8.kwizart.src.rpm
Description: Framework for Gtk2 perl applications

Changelog
- Fix man3 encoding
- Fix unwanted perl provides (Music::*)

Comment 5 Xavier Bachelot 2008-05-28 15:45:08 EDT
All the .pm under lib/ are iso8859, so rather than fixing the man page encoding
in %install, I would move all of them to utf-8 in %prep.
not sure this is really a blocker, I don't find anything in the guidelines.
Comment 6 Xavier Bachelot 2008-05-29 04:10:06 EDT
Something like that should do :

for f in $(find lib/ -name *.pm) README tutorial/README; do
cp -p ${f} ${f}.noutf8
iconv -f ISO-8859-1 -t UTF-8 ${f}.noutf8 > ${f}
touch -r ${f}.noutf8 ${f}
rm ${f}.noutf8
done
Comment 7 Nicolas Chauvet (kwizart) 2008-05-29 13:25:54 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Gtk2-Ex-FormFactory.spec
SRPM URL: 
http://kwizart.fedorapeople.org/SRPMS/perl-Gtk2-Ex-FormFactory-0.65-3.fc8.kwizart.src.rpm
Description: Framework for Gtk2 perl applications
Comment 8 Xavier Bachelot 2008-05-29 18:31:56 EDT
looks good, APPROVED.
Comment 9 Nicolas Chauvet (kwizart) 2008-05-29 19:50:48 EDT
New Package CVS Request
=======================
Package Name: perl-Gtk2-Ex-FormFactory
Short Description: Framework for Gtk2 perl applications
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-05-30 16:04:54 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.